import { createRouter, createWebHistory } from 'vue-router'
import SplashView from '../views/SplashView-闪屏页.vue'
import LoginView from '../views/LoginView-登录页.vue'
import PolicyView from '../views/PolicyView-协议页.vue'
import OnboardingView from '../views/OnboardingView-引导页.vue'
import MainLayout from '../layouts/MainLayout.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      redirect: '/splash',
    },
    {
      path: '/splash',
      name: 'splash',
      component: SplashView,
    },
    {
      path: '/login',
      name: 'login',
      component: LoginView,
    },
    {
      path: '/policy',
      name: 'policy',
      component: PolicyView,
    },
    {
      path: '/onboarding',
      name: 'onboarding',
      component: OnboardingView,
    },
    // Main application layout with bottom navigation
    {
      path: '/app',
      component: MainLayout,
      redirect: '/app/home',
      children: [
        {
          path: 'home',
          name: 'home',
          component: () => import('../views/HomeView-首页-2.0.vue'),
        },
        {
          path: 'discover',
          name: 'discover',
          component: () => import('../views/DiscoverView-发现页.vue'),
        },
        {
          path: 'mall',
          name: 'mall',
          component: () => import('../views/MallView-商城页.vue'),
        },
        {
          path: 'kitchen',
          name: 'kitchen',
          component: () => import('../views/KitchenView-厨房页.vue'),
        },
        {
          path: 'me',
          name: 'me',
          component: () => import('../views/MeView-我的.vue'),
        },
      ],
    },
    // Standalone pages without bottom nav
    {
      path: '/scan',
      name: 'scan',
      component: () => import('../views/ScanView-扫码页.vue'),
    },
    {
      path: '/search',
      name: 'search',
      component: () => import('../views/SearchView-搜索页.vue'),
    },
    {
      path: '/search-result',
      name: 'search-result',
      component: () => import('../views/SearchResultView-搜索结果页.vue'),
    },
    {
      path: '/result/:id',
      name: 'result',
      component: () => import('../views/ResultView-结果页.vue'),
    },
    {
      path: '/messages',
      name: 'messages',
      component: () => import('../views/MessageView-消息列表页.vue'),
    },
    {
      path: '/home-v1',
      name: 'home-v1-standalone',
      component: () => import('../views/HomeView-首页-1.0.vue'),
    },
  ],
})

export default router
